Name:           perl-Date-Easter
Version:        1.22
Release:        1%{?dist}
Summary:        Calculates Easter for any given year
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Date-Easter/
Source0:        http://www.cpan.org/authors/id/R/RB/RBOW/Date-Easter-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::Local)
BuildRequires:  perl(vars)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Calculates Easter for a given year.

%prep
%setup -q -n Date-Easter-%{version}
%{__chmod} 644 README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/*

%changelog
* Sat Jan 24 2015 David Dick <ddick@cpan.org> - 1.22-1
- Upgrade to 1.22

* Tue Aug 26 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.21-2
- Perl 5.20 rebuild

* Thu Jun 12 2014 David Dick <ddick@cpan.org> - 1.21-1
- Upgrade to 1.21

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 David Dick <ddick@cpan.org> - 1.20-1
- Initial release
